1

I'm trying to fix this issue when running sudo apt update:

E: The repository 'https://download.docker.com/linux/ubuntu loki Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

I tried adding the correct repository:

sudo add-apt-repository    "deb [arch=amd64] https://download.docker.com/linux/ubuntu \
   xenial \
   stable"

Also tried searching for the "loki" keyword and replace to "xenial", no luck:

lucaswxp@imhuman:/etc/apt/sources.list.d$ cat * | grep "loki"
> empty result

Any idea how to get apt update to work again?

2

So, I was looking in the wrong path. The file I needed to edit was /etc/apt/sources.list. I just replaced loki to xenial and it worked.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.